module.exports = {
  buildConfigurationMock: {
    prefix: '/usr/local/Cellar/ffmpeg/4.1_3',
    'enable-shared': true,
    'enable-pthreads': true,
    'enable-version3': true,
    'enable-hardcoded-tables': true,
    'enable-avresample': true,
    cc: 'clang',
    'host-cflags': '',
    'host-ldflags': '',
    'enable-ffplay': true,
    'enable-gpl': true,
    'enable-libaom': true,
    'enable-libmp3lame': true,
    'enable-libopus': true,
    'enable-libsnappy': true,
    'enable-libtheora': true,
    'enable-libvorbis': true,
    'enable-libvpx': true,
    'enable-libx264': true,
    'enable-libx265': true,
    'enable-libxvid': true,
    'enable-lzma': true,
    'enable-libfontconfig': true,
    'enable-libfreetype': true,
    'enable-frei0r': true,
    'enable-libass': true,
    'enable-libopencore-amrnb': true,
    'enable-libopencore-amrwb': true,
    'enable-librtmp': true,
    'enable-libspeex': true,
    'enable-videotoolbox': true,
    'disable-libjack': true,
    'disable-indev': 'jack',
  },
  versionMock: 4.1,
  inputQuicktimePath: `${process.cwd()}/test/IMG_0246.MOV`,
  inputFileMock: {
    _id: '5c8377c4068757aeb746dd97',
    file: 'IMG_0246.MOV',
    path: `${process.cwd()}/test`,
    thumbnail: {
      processed: false,
      file: `${process.cwd()}/test/IMG_0246.jpg`,
    },
    parsedData: {
      streams: [
        {
          index: 0,
          codec_name: 'aac',
          codec_long_name: 'AAC (Advanced Audio Coding)',
          profile: 'LC',
          codec_type: 'audio',
          codec_time_base: '1/44100',
          codec_tag_string: 'mp4a',
          codec_tag: '0x6134706d',
          sample_fmt: 'fltp',
          sample_rate: 44100,
          channels: 1,
          channel_layout: 'mono',
          bits_per_sample: 0,
          r_frame_rate: '0/0',
          avg_frame_rate: '0/0',
          time_base: '1/44100',
          start_pts: 0,
          start_time: 0.000000,
          duration_ts: 51450,
          duration: 1.166667,
          bit_rate: 92685,
          max_bit_rate: 96000,
          nb_frames: 53,
          disposition: {
            default: 1,
            dub: 0,
            original: 0,
            comment: 0,
            lyrics: 0,
            karaoke: 0,
            forced: 0,
            hearing_impaired: 0,
            visual_impaired: 0,
            clean_effects: 0,
            attached_pic: 0,
            timed_thumbnails: 0,
          },
          tags: {
            creation_time: '2019-01-26T01:13:29.000000Z',
            language: 'und',
            handler_name: 'Core Media Audio',
          },
        },
        {
          index: 1,
          codec_name: 'h264',
          codec_long_name: 'H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10',
          profile: 'High',
          codec_type: 'video',
          codec_time_base: '701/42000',
          codec_tag_string: 'avc1',
          codec_tag: '0x31637661',
          width: 1920,
          height: 1080,
          coded_width: 1920,
          coded_height: 1088,
          has_b_frames: 1,
          pix_fmt: 'yuv420p',
          level: 40,
          color_range: 'tv',
          color_space: 'bt709',
          color_transfer: 'bt709',
          color_primaries: 'bt709',
          chroma_location: 'left',
          refs: 1,
          is_avc: 'true',
          nal_length_size: 4,
          r_frame_rate: '30000/1001',
          avg_frame_rate: '21000/701',
          time_base: '1/600',
          start_pts: 0,
          start_time: 0.000000,
          duration_ts: 701,
          duration: 1.168333,
          bit_rate: 15462011,
          bits_per_raw_sample: 8,
          nb_frames: 35,
          disposition: {
            default: 1,
            dub: 0,
            original: 0,
            comment: 0,
            lyrics: 0,
            karaoke: 0,
            forced: 0,
            hearing_impaired: 0,
            visual_impaired: 0,
            clean_effects: 0,
            attached_pic: 0,
            timed_thumbnails: 0,
          },
          tags: {
            rotate: 180,
            creation_time: '2019-01-26T01:13:29.000000Z',
            language: 'und',
            handler_name: 'Core Media Video',
            encoder: 'H.264',
          },
          side_data_list: [
            {
              side_data_type: 'Display Matrix',
              displaymatrix: '\n00000000:       -65536           0           0\n00000001:            0      -65536           0\n00000002:    125829120    70778880  1073741824\n',
              rotation: -180,
            },
          ],
        },
        {
          index: 2,
          codec_type: 'data',
          codec_tag_string: 'mebx',
          codec_tag: '0x7862656d',
          r_frame_rate: '0/0',
          avg_frame_rate: '0/0',
          time_base: '1/600',
          start_pts: 0,
          start_time: 0.000000,
          duration_ts: 701,
          duration: 1.168333,
          bit_rate: 3533,
          nb_frames: 7,
          disposition: {
            default: 1,
            dub: 0,
            original: 0,
            comment: 0,
            lyrics: 0,
            karaoke: 0,
            forced: 0,
            hearing_impaired: 0,
            visual_impaired: 0,
            clean_effects: 0,
            attached_pic: 0,
            timed_thumbnails: 0,
          },
          tags: {
            creation_time: '2019-01-26T01:13:29.000000Z',
            language: 'und',
            handler_name: 'Core Media Metadata',
          },
        },
        {
          index: 3,
          codec_type: 'data',
          codec_tag_string: 'mebx',
          codec_tag: '0x7862656d',
          r_frame_rate: '0/0',
          avg_frame_rate: '0/0',
          time_base: '1/600',
          start_pts: 0,
          start_time: 0.000000,
          duration_ts: 701,
          duration: 1.168333,
          bit_rate: 68,
          nb_frames: 1,
          disposition: {
            default: 1,
            dub: 0,
            original: 0,
            comment: 0,
            lyrics: 0,
            karaoke: 0,
            forced: 0,
            hearing_impaired: 0,
            visual_impaired: 0,
            clean_effects: 0,
            attached_pic: 0,
            timed_thumbnails: 0,
          },
          tags: {
            creation_time: '2019-01-26T01:13:29.000000Z',
            language: 'und',
            handler_name: 'Core Media Metadata',
          },
        },
      ],
      format: {
        filename: `${process.cwd()}/test/IMG_0246.MOV`,
        nb_streams: 4,
        nb_programs: 0,
        format_name: 'mov,mp4,m4a,3gp,3g2,mj2',
        format_long_name: 'QuickTime / MOV',
        start_time: 0.000000,
        duration: 1.168333,
        size: 2277198,
        bit_rate: 15592801,
        probe_score: 100,
        tags: {
          major_brand: 'qt  ',
          minor_version: 0,
          compatible_brands: 'qt  ',
          creation_time: '2019-01-26T01:13:29.000000Z',
          'com.apple.quicktime.location.ISO6709': '+34.2575-118.6031+297.323/',
          'com.apple.quicktime.make': 'Apple',
          'com.apple.quicktime.model': 'iPhone 7',
          'com.apple.quicktime.software': '11.3.1',
          'com.apple.quicktime.creationdate': '2019-01-25T16:03:07-0800',
          'com.apple.photos.originating.signature': 'AQqqySRqK0Bvu+6HbDeqxcpcNU0T',
        },
      },
    },
  },
  inputFileMockWithManyStreams: {
    _id: '5c8377c4068757aeb746dd97',
    file: 'IMG_0246.MOV',
    path: `${process.cwd()}/test`,
    thumbnail: {
      processed: false,
      file: `${process.cwd()}/test/IMG_0246.jpg`,
    },
    parsedData: {
      streams: [
        {
          index: 0,
          codec_type: 'audio',
          channels: 6,
        },
        {
          index: 1,
          codec_type: 'video',
          width: 1920,
          height: 1080,
          coded_width: 1920,
          coded_height: 1080,
        },
        {
          index: 2,
          codec_type: 'data',
        },
        {
          index: 3,
          codec_type: 'data',
        },
        {
          index: 4,
          codec_type: 'video',
          width: 3840,
          height: 2160,
          coded_width: 3840,
          coded_height: 2160,
        },
        {
          index: 5,
          codec_type: 'video',
          width: 720,
          height: 480,
          coded_width: 720,
          coded_height: 480,
        },
        {
          index: 6,
          codec_type: 'subtitle',
        },
        {
          index: 7,
          codec_type: 'audio',
          channels: 1,
        },
        {
          index: 8,
          codec_type: 'subtitle',
        },
      ],
      format: {
        filename: `${process.cwd()}/test/IMG_0246.MOV`,
        nb_streams: 4,
        nb_programs: 0,
        format_name: 'mov,mp4,m4a,3gp,3g2,mj2',
        format_long_name: 'QuickTime / MOV',
        start_time: 0.000000,
        duration: 1.168333,
        size: 2277198,
        bit_rate: 15592801,
        probe_score: 100,
        tags: {
          major_brand: 'qt  ',
          minor_version: 0,
          compatible_brands: 'qt  ',
          creation_time: '2019-01-26T01:13:29.000000Z',
          'com.apple.quicktime.location.ISO6709': '+34.2575-118.6031+297.323/',
          'com.apple.quicktime.make': 'Apple',
          'com.apple.quicktime.model': 'iPhone 7',
          'com.apple.quicktime.software': '11.3.1',
          'com.apple.quicktime.creationdate': '2019-01-25T16:03:07-0800',
          'com.apple.photos.originating.signature': 'AQqqySRqK0Bvu+6HbDeqxcpcNU0T',
        },
      },
    },
  },
};
