const fs = require('fs');

function processEntry(fileSystemEntry) {
  if (fs.lstatSync(fileSystemEntry).isDirectory()) {
    fs.readdirSync(fileSystemEntry).forEach(subEntry => processEntry(`${fileSystemEntry}/${subEntry}`));
  } else if (/.*\.test\.js$/.test(fileSystemEntry)) {
    require(fileSystemEntry); // eslint-disable-line
  }
}

const basedir = __dirname.split('/').slice(0, -1);
basedir.push('lib');
processEntry(basedir.join('/'));
